org.apache.xerces.impl

## Class XML11NSDocumentScannerImpl.NS11ContentDispatcher

- java.lang.Object
- - org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.FragmentContentDispatcher
  - - org.apache.xerces.impl.XMLDocumentScannerImpl.ContentDispatcher
    - - org.apache.xerces.impl.XML11NSDocumentScannerImpl.NS11ContentDispatcher

- All Implemented Interfaces:
    XMLDocumentFragmentScannerImpl.Dispatcher
  Enclosing class:
    XML11NSDocumentScannerImpl

      protected final class XML11NSDocumentScannerImpl.NS11ContentDispatcher
      extends XMLDocumentScannerImpl.ContentDispatcher

  Dispatcher to handle content scanning.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `XML11NSDocumentScannerImpl.NS11ContentDispatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `scanRootElementHook()` Scan for root element hook.

    - ### Methods inherited from class org.apache.xerces.impl.XMLDocumentScannerImpl.ContentDispatcher

      `elementDepthIsZeroHook, endOfFileHook, resolveExternalSubsetAndRead, scanForDoctypeHook`

    - ### Methods inherited from class org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.FragmentContentDispatcher

      `dispatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XML11NSDocumentScannerImpl.NS11ContentDispatcher

          protected XML11NSDocumentScannerImpl.NS11ContentDispatcher()

  - ### Method Detail

    - #### scanRootElementHook

          protected boolean scanRootElementHook()
                                         throws java.io.IOException,
                                                org.apache.xerces.xni.XNIException

      Scan for root element hook. This method is a hook for subclasses to add code that handles scanning for the root element. This method will also attempt to remove DTD validator from the pipeline, if there is no DTD grammar. If DTD validator is no longer in the pipeline bind namespaces in the scanner.
      Overrides:
        `scanRootElementHook` in class `XMLDocumentScannerImpl.ContentDispatcher`
      Returns:
        True if the caller should stop and return true which allows the scanner to switch to a new scanning dispatcher. A return value of false indicates that the content dispatcher should continue as normal.
      Throws:
        `java.io.IOException`
        `org.apache.xerces.xni.XNIException`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.